# Path-based labels for pull_request events (actions/labeler@v5).
# https://github.com/actions/labeler

"area:documentation":
  - changed-files:
      - any-glob-to-any-file: "documentation/**"

"area:deploy":
  - changed-files:
      - any-glob-to-any-file: "deploy/**"
      - any-glob-to-any-file: ".github/workflows/**"

"area:telematics":
  - changed-files:
      - any-glob-to-any-file: "services/telematics-gateway/**"
      - any-glob-to-any-file: "services/telemetry-worker/**"
      - any-glob-to-any-file: "docs/telematics/**"

"area:platform-docs":
  - changed-files:
      - any-glob-to-any-file: "docs/platform/**"
      - any-glob-to-any-file: "docs/PLATFORM-MASTER.md"

"area:frontend":
  - changed-files:
      - any-glob-to-any-file: "src/**/*.tsx"
      - any-glob-to-any-file: "src/**/*.ts"
      - any-glob-to-any-file: "src/**/*.css"

"area:i18n":
  - changed-files:
      - any-glob-to-any-file: "src/locales/**"
